Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.socials.listPosts({});
console.log(result);
}
run();curl --request GET \
--url https://api.crevio.co/v1/socials/posts \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/socials/posts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/socials/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "<string>",
"id": "<string>",
"title": "<string>",
"content": "<string>",
"platforms": {},
"platform_data": {},
"upload_ids": "<array>",
"scheduled_at": "2023-11-07T05:31:56Z",
"posted_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"analytics": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Social
List posts
Lists social posts with optional status/date filtering and pagination.
GET
/
socials
/
posts
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.socials.listPosts({});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Query Parameters
Available options:
draft, publishing, scheduled, posted, failed Created-at lower bound (ISO 8601)
Created-at upper bound (ISO 8601)
Cursor for pagination — the ID of the last item in the previous page
Items per page
Required range:
1 <= x <= 100Was this page helpful?
⌘I

